Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.MCPServer.Update(ctx, operations.C1APIAiGovernanceV1MCPServerServiceUpdateRequest{
AppID: "<id>",
ConnectorID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.MCPServerServiceUpdateResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/mcp_servers/{connector_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mcpServer": {
"appId": "<string>",
"connectorId": "<string>",
"description": "<string>",
"displayName": "<string>",
"mcpServerCatalogId": "<string>",
"sourceAppId": "<string>",
"toolPrefix": "<string>"
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/mcp_servers/{connector_id}"
payload = {
"mcpServer": {
"appId": "<string>",
"connectorId": "<string>",
"description": "<string>",
"displayName": "<string>",
"mcpServerCatalogId": "<string>",
"sourceAppId": "<string>",
"toolPrefix": "<string>"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mcpServer: {
appId: '<string>',
connectorId: '<string>',
description: '<string>',
displayName: '<string>',
mcpServerCatalogId: '<string>',
sourceAppId: '<string>',
toolPrefix: '<string>'
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/mcp_servers/{connector_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mcpServer": {
"appId": "<string>",
"awsAccessKeyId": "<string>",
"awsSecretAccessKeyConfigured": true,
"awsSessionTokenConfigured": true,
"basicAuthPasswordConfigured": true,
"basicAuthUsername": "<string>",
"bearerTokenConfigured": true,
"configFieldValues": {},
"connectorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialsSetupUrl": "<string>",
"customHeaderName": "<string>",
"customHeaderValueConfigured": true,
"defaultToolPrefix": "<string>",
"description": "<string>",
"displayName": "<string>",
"endpointUrl": "<string>",
"lastCalledAt": "2023-11-07T05:31:56Z",
"mcpServerCatalogId": "<string>",
"oauth2AuthorizeUrl": "<string>",
"oauth2ClientId": "<string>",
"oauth2ClientSecretExpiresAt": "<string>",
"oauth2CodeChallengeMethodsSupported": [
"<string>"
],
"oauth2CredentialsConfigured": true,
"oauth2ExtraAuthorizeParams": {},
"oauth2ExtraTokenParams": {},
"oauth2IssuerUrl": "<string>",
"oauth2JwtAudience": "<string>",
"oauth2JwtIssuer": "<string>",
"oauth2JwtPrivateKeyConfigured": true,
"oauth2JwtSubject": "<string>",
"oauth2Pkce": "<string>",
"oauth2Scopes": [
"<string>"
],
"oauth2ScopesSupported": [
"<string>"
],
"oauth2ServiceAuthorized": true,
"oauth2ServiceAuthorizedAsEmail": "<string>",
"oauth2ServiceAuthorizedAsName": "<string>",
"oauth2ServiceAuthorizedAt": "2023-11-07T05:31:56Z",
"oauth2ServiceAuthorizedBy": "<string>",
"oauth2TokenEndpointAuthMethod": "<string>",
"oauth2TokenUrl": "<string>",
"sourceAppId": "<string>",
"toolPrefix": "<string>",
"tunnelApplianceId": "<string>",
"tunnelBridgeId": "<string>",
"tunnelServiceName": "<string>",
"tunneled": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
}MCP Servers
Update
Update modifies an existing MCP server’s editable fields.
POST
/
api
/
v1
/
apps
/
{app_id}
/
mcp_servers
/
{connector_id}
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.MCPServer.Update(ctx, operations.C1APIAiGovernanceV1MCPServerServiceUpdateRequest{
AppID: "<id>",
ConnectorID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.MCPServerServiceUpdateResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
App identifier.
MCP server identifier (connector ID).
Body
application/json
Response
200 - application/json
MCPServerServiceUpdateResponse returns the updated MCP server.
MCPServerServiceUpdateResponse returns the updated MCP server.
MCPServerView is the API representation of an MCP server (backed by a Connector).
Show child attributes
Show child attributes
Was this page helpful?
⌘I